<ng-container *ngIf="hasHtml; then object; else image"></ng-container>

<ng-template #object>
  <object
    type="text/html"
    [data]="imageLink | safe"
    width="800px"
    height="600px"
    style="overflow: hidden"
  ></object>
</ng-template>

<ng-template #image>
  <img [src]="imageLink" style="max-height: 600px" />
</ng-template>
